Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente
Class InquadramentoGiuridico

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente.InquadramentoGiuridico

    public class InquadramentoGiuridico

extends java.lang.Object

Dati di inquadramento giuridico del dipendente.

Field Summary
`private java.lang.String` | `codCategoria` Codice categoria.
`private java.lang.String` | `codDisciplina` Codice disciplina.
`private java.lang.String` | `codPosizioneEconomica` Indica la classe corrispondente alla fascia retributiva
`private java.lang.String` | `codProfilo` Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `codQualifica` Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `codRuolo` Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.
`private java.lang.String` | `codTipoIncaricoDDS` Codice tipo incarico DDS.
`private java.lang.String` | `codTipologiaIncarico` Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `dataAssunzione` Data assunzione.
`private java.lang.String` | `dataCessazione` Data cessazione.
`private java.lang.String` | `dataConferimentoIncaricoDDS` Data inizio conferimento incarico DDS.
`private java.lang.String` | `dataFineConferimentoIncaricoDDS` Data fine conferimento incarico DDS.
`private java.lang.String` | `descCategoria` Descrizione categoria.
`private java.lang.String` | `descDisciplina` Descrizione disciplina.
`private java.lang.String` | `descPosizioneEconomica` Descrizione della fascia retributiva
`private java.lang.String` | `descQualifica` Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `descrizioneProfilo` Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `descrizioneRuolo` Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.
`private java.lang.String` | `descTipoIncaricoDDS` Descrizione tipo incarico DDS.
`private java.lang.String` | `descTipologiaIncarico` Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.

Constructor Summary
`InquadramentoGiuridico()`

Method Summary
`java.lang.String` | `getCodCategoria()`
`java.lang.String` | `getCodDisciplina()`
`java.lang.String` | `getCodPosizioneEconomica()`
`java.lang.String` | `getCodProfilo()`
`java.lang.String` | `getCodQualifica()`
`java.lang.String` | `getCodRuolo()`
`java.lang.String` | `getCodTipoIncaricoDDS()`
`java.lang.String` | `getCodTipologiaIncarico()`
`java.lang.String` | `getDataAssunzione()`
`java.lang.String` | `getDataCessazione()`
`java.lang.String` | `getDataConferimentoIncaricoDDS()`
`java.lang.String` | `getDataFineConferimentoIncaricoDDS()`
`java.lang.String` | `getDescCategoria()`
`java.lang.String` | `getDescDisciplina()`
`java.lang.String` | `getDescPosizioneEconomica()`
`java.lang.String` | `getDescQualifica()`
`java.lang.String` | `getDescrizioneProfilo()`
`java.lang.String` | `getDescrizioneRuolo()`
`java.lang.String` | `getDescTipoIncaricoDDS()`
`java.lang.String` | `getDescTipologiaIncarico()`
`void` | `setCodCategoria(java.lang.String codCategoria)`
`void` | `setCodDisciplina(java.lang.String codDisciplina)`
`void` | `setCodPosizioneEconomica(java.lang.String codPosizioneEconomica)`
`void` | `setCodProfilo(java.lang.String codProfilo)`
`void` | `setCodQualifica(java.lang.String codQualifica)`
`void` | `setCodRuolo(java.lang.String codRuolo)`
`void` | `setCodTipoIncaricoDDS(java.lang.String codTipoIncaricoDDS)`
`void` | `setCodTipologiaIncarico(java.lang.String codTipologiaIncarico)`
`void` | `setDataAssunzione(java.lang.String dataAssunzione)`
`void` | `setDataCessazione(java.lang.String dataCessazione)`
`void` | `setDataConferimentoIncaricoDDS(java.lang.String dataConferimentoIncaricoDDS)`
`void` | `setDataFineConferimentoIncaricoDDS(java.lang.String dataFineConferimentoIncaricoDDS)`
`void` | `setDescCategoria(java.lang.String descCategoria)`
`void` | `setDescDisciplina(java.lang.String descDisciplina)`
`void` | `setDescPosizioneEconomica(java.lang.String descPosizioneEconomica)`
`void` | `setDescQualifica(java.lang.String descQualifica)`
`void` | `setDescrizioneProfilo(java.lang.String descrizioneProfilo)`
`void` | `setDescrizioneRuolo(java.lang.String descrizioneRuolo)`
`void` | `setDescTipoIncaricoDDS(java.lang.String descTipoIncaricoDDS)`
`void` | `setDescTipologiaIncarico(java.lang.String descTipologiaIncarico)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codRuolo

    private java.lang.String codRuolo

  Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.

### descrizioneRuolo

    private java.lang.String descrizioneRuolo

  Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.

### codProfilo

    private java.lang.String codProfilo

  Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.

### descrizioneProfilo

    private java.lang.String descrizioneProfilo

  Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.

### codTipologiaIncarico

    private java.lang.String codTipologiaIncarico

  Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### descTipologiaIncarico

    private java.lang.String descTipologiaIncarico

  Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### codQualifica

    private java.lang.String codQualifica

  Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### descQualifica

    private java.lang.String descQualifica

  Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### codDisciplina

    private java.lang.String codDisciplina

  Codice disciplina.

### descDisciplina

    private java.lang.String descDisciplina

  Descrizione disciplina.

### codCategoria

    private java.lang.String codCategoria

  Codice categoria.

### descCategoria

    private java.lang.String descCategoria

  Descrizione categoria.

### codTipoIncaricoDDS

    private java.lang.String codTipoIncaricoDDS

  Codice tipo incarico DDS.

### descTipoIncaricoDDS

    private java.lang.String descTipoIncaricoDDS

  Descrizione tipo incarico DDS.

### dataConferimentoIncaricoDDS

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataConferimentoIncaricoDDS

  Data inizio conferimento incarico DDS.

### dataFineConferimentoIncaricoDDS

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFineConferimentoIncaricoDDS

  Data fine conferimento incarico DDS.

### codPosizioneEconomica

    private java.lang.String codPosizioneEconomica

  Indica la classe corrispondente alla fascia retributiva

### descPosizioneEconomica

    private java.lang.String descPosizioneEconomica

  Descrizione della fascia retributiva

### dataAssunzione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataAssunzione

  Data assunzione.

### dataCessazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataCessazione

  Data cessazione.

Constructor Detail

### InquadramentoGiuridico

    public InquadramentoGiuridico()

Method Detail

### setCodRuolo

    public void setCodRuolo(java.lang.String codRuolo)

### getCodRuolo

    public java.lang.String getCodRuolo()

### setDescrizioneRuolo

    public void setDescrizioneRuolo(java.lang.String descrizioneRuolo)

### getDescrizioneRuolo

    public java.lang.String getDescrizioneRuolo()

### setCodProfilo

    public void setCodProfilo(java.lang.String codProfilo)

### getCodProfilo

    public java.lang.String getCodProfilo()

### setDescrizioneProfilo

    public void setDescrizioneProfilo(java.lang.String descrizioneProfilo)

### getDescrizioneProfilo

    public java.lang.String getDescrizioneProfilo()

### setCodTipologiaIncarico

    public void setCodTipologiaIncarico(java.lang.String codTipologiaIncarico)

### getCodTipologiaIncarico

    public java.lang.String getCodTipologiaIncarico()

### setDescTipologiaIncarico

    public void setDescTipologiaIncarico(java.lang.String descTipologiaIncarico)

### getDescTipologiaIncarico

    public java.lang.String getDescTipologiaIncarico()

### setCodQualifica

    public void setCodQualifica(java.lang.String codQualifica)

### getCodQualifica

    public java.lang.String getCodQualifica()

### setDescQualifica

    public void setDescQualifica(java.lang.String descQualifica)

### getDescQualifica

    public java.lang.String getDescQualifica()

### setCodDisciplina

    public void setCodDisciplina(java.lang.String codDisciplina)

### getCodDisciplina

    public java.lang.String getCodDisciplina()

### setDescDisciplina

    public void setDescDisciplina(java.lang.String descDisciplina)

### getDescDisciplina

    public java.lang.String getDescDisciplina()

### setCodCategoria

    public void setCodCategoria(java.lang.String codCategoria)

### getCodCategoria

    public java.lang.String getCodCategoria()

### setDescCategoria

    public void setDescCategoria(java.lang.String descCategoria)

### getDescCategoria

    public java.lang.String getDescCategoria()

### setCodTipoIncaricoDDS

    public void setCodTipoIncaricoDDS(java.lang.String codTipoIncaricoDDS)

### getCodTipoIncaricoDDS

    public java.lang.String getCodTipoIncaricoDDS()

### setDescTipoIncaricoDDS

    public void setDescTipoIncaricoDDS(java.lang.String descTipoIncaricoDDS)

### getDescTipoIncaricoDDS

    public java.lang.String getDescTipoIncaricoDDS()

### setDataConferimentoIncaricoDDS

    public void setDataConferimentoIncaricoDDS(java.lang.String dataConferimentoIncaricoDDS)

### getDataConferimentoIncaricoDDS

    public java.lang.String getDataConferimentoIncaricoDDS()

### setDataAssunzione

    public void setDataAssunzione(java.lang.String dataAssunzione)

### getDataAssunzione

    public java.lang.String getDataAssunzione()

### setDataCessazione

    public void setDataCessazione(java.lang.String dataCessazione)

### getDataCessazione

    public java.lang.String getDataCessazione()

### getDataFineConferimentoIncaricoDDS

    public java.lang.String getDataFineConferimentoIncaricoDDS()

### setDataFineConferimentoIncaricoDDS

    public void setDataFineConferimentoIncaricoDDS(java.lang.String dataFineConferimentoIncaricoDDS)

### getCodPosizioneEconomica

    public java.lang.String getCodPosizioneEconomica()

### setCodPosizioneEconomica

    public void setCodPosizioneEconomica(java.lang.String codPosizioneEconomica)

### getDescPosizioneEconomica

    public java.lang.String getDescPosizioneEconomica()

### setDescPosizioneEconomica

    public void setDescPosizioneEconomica(java.lang.String descPosizioneEconomica)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD